﻿using System.Collections.Generic;

namespace IRCStates
{
    public class Emit
    {
        public string Command { get; set; }
        public string Subcommand { get; set; }
        public string Text { get; set; }
        public List<string> Tokens { get; set; }
        public bool Finished { get; set; }
        public bool Self { get; set; }
        public bool SelfSource { get; set; }
        public bool SelfTarget { get; set; }
        public User User { get; set; }
        public User UserSource { get; set; }
        public User UserTarget { get; set; }
        public List<User> Users { get; set; }
        public Channel Channel { get; set; }
        public Channel ChannelSource { get; set; }
        public Channel ChannelTarget { get; set; }
        public string Target { get; set; }
    }
}
